#include "Scene.hxx"
#include "PerspectiveCamera.hxx"

Scene::Scene()
  : m_camera(new PerspectiveCamera(Vec3f(0,0,8), 
				   Vec3f(0,0,-1), 
				   Vec3f(0,1,0), 
				   50, 
				   640, 
				   480)
	     ),
    m_bgColor(Vec3f(0,0,0))
{
}

Scene::~Scene()
{
  delete m_camera;
}

Scene::Scene(const Scene& s)
{
  operator=(s);
}

Scene&
Scene::operator=(const Scene& s)
{
  return *this;
}

void 
Scene::Add(Primitive* p)
{
}


bool
Scene::Intersect(Ray& ray)
{
  return false;
}

bool
Scene::Occluded(Ray& ray)
{
  return false;
}

Vec3f
Scene::RayTrace(Ray& ray)
{
  return Vec3f();
}

const Camera* 
Scene::camera() const
{
  return m_camera;
}
